## glib2.0 2.74.0

=== debian/changelog ===
glib2.0 (2.74.0-3) unstable; urgency=medium

  * Cherry-pick 2 patches to fix large thumbnails with Nautilus
    (Closes: #1021588) (LP: #1992690)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 12 Oct 2022 14:43:19 -0400

glib2.0 (2.74.0-2) unstable; urgency=medium

  * d/p/Empty-values-are-not-valid-GParamSpec.patch:
    Add patch from upstream to fix GIMP crashes with GLib 2.74.0
    (Closes: #1018105)
  * d/p/Handling-collision-between-standard-i-o-file-descriptors-.patch,
    d/p/gio-launch-desktop-Fix-the-G_STATIC_ASSERT-expressions-fo.patch,
    d/p/glib-mkenums-Specify-output-encoding-as-UTF-8-explicitly-.patch,
    d/p/gbacktrace-Don-t-truncate-gdb-output.patch,
    d/p/gio-make-g_task_get_cancellable-return-value-nullable.patch,
    d/p/glocalfileoutputstream-Do-not-double-close-an-fd-on-unlin.patch,
    d/p/docs-Fix-markup-error-in-code-blocks-for-DEPRECATED-macro.patch,
    d/p/Consider-the-GLogField.length-of-MESSAGE-GLIB_DOMAIN-fiel.patch:
    More post-release bug fixes from upstream, which are expected to be
    included in 2.74.1
  * d/copyright: Consistently use SPDX name for bzip2-1.0.6 license
  * Add missing mention of libgdk-pixbuf2.0-dev Suggests change to
    previous changelog entry

 -- Simon McVittie <smcv@debian.org>  Tue, 27 Sep 2022 09:53:09 +0100

glib2.0 (2.74.0-1) unstable; urgency=medium

  * New upstream release
  * d/p/gio-tool-mount-Return-early-on-fgets-EOF.patch:
    Drop patch that was included in the upstream release
  * d/control.in: Drop alternative Suggests on libgdk-pixbuf2.0-dev.
    libgdk-pixbuf2.0-bin was separated out in 2018, before Debian 10.

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Sep 2022 17:49:01 +0100

glib2.0 (2.73.3-3) unstable; urgency=medium

  [ Simon McVittie ]
  * Redo d/copyright in machine-readable format

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Cherry-pick a regression fix for gio mount on Ctrl+D

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 30 Aug 2022 18:12:45 +0200

glib2.0 (2.73.3-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Use meson >= 0.52.0 support for multiple cross-files.
    This means we don't have to run debcrossgen and then edit its output
    in-place. (Obsoletes: #912559)
  * Remove Lintian override for #970275. It was fixed in Lintian.

  [ Jeremy Bicha ]
  * Release to unstable
  * Update Vcs fields for unbranching from experimental

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 22 Aug 2022 15:23:56 -0400

glib2.0 (2.73.3-1) experimental; urgency=medium

  * New upstream development release
  * d/copyright: Update
  * Ask for multiarch trigger executables via upstream build system.
    This avoids needing to move the files around ourselves, and also
    ensures that the architecture-specific paths go into the .pc file.
  * Update packaging for re-inclusion of gio-launch-desktop
  * d/control.in: libglib2.0-tests depends on desktop-file-utils.
    glib/file.test needs update-desktop-database.
  * d/control.in: add versioned Breaks on old libedataserver-1.2-26.
    Older versions go into an infinite loop of memory allocation
    with GLib 2.73.x as a result of not handling the addition of
    G_TLS_CERTIFICATE_NO_FLAGS correctly (see #1015181).

 -- Simon McVittie <smcv@debian.org>  Sat, 06 Aug 2022 15:11:00 +0100

glib2.0 (2.73.2-1) experimental; urgency=medium

  * New upstream release
    - d/control.in: Build-depend on PCRE 2 (Closes: #982310, #1000082)
  * d/copyright: Update
  * d/patches: Drop patches that were applied upstream
  * Update symbols file
  * Merge packaging from unstable (no functional changes)

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Jul 2022 13:39:26 +0100

glib2.0 (2.72.3-1) unstable; urgency=medium

  * New upstream release (LP: #1980408)
  * Drop GFileMonitor patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 30 Jun 2022 16:12:12 -0400

glib2.0 (2.73.1-1) experimental; urgency=medium

  * New upstream release
  * d/copyright: Update
  * d/control.in: Update Meson build-dependency
  * Refresh patch series
  * d/control.in, d/rules: Drop GIO fam module.
    This no longer exists upstream. Hurd users will need to maintain it
    separately if desired.
  * d/libglib2.0-0.symbols: Update
  * d/libglib2.0-0.postinst.in, d/rules, d/tests:
    Remove workaround for #896019.
    The version of GLib in Debian 11 cleaned up a potential broken state
    left behind by Debian 9, and Debian doesn't support skipping a major
    release, so Debian 12 no longer needs this.
    Similarly, the version in Ubuntu 22.04 LTS had this cleanup, and Ubuntu
    doesn't support skipping a LTS release, so 22.10 and 24.04 LTS don't
    need this.
  * d/tests/run-with-locales: Show what we generated
  * d/p/gdatetime-test-Consistently-expect-k-to-generate-a-figure.patch:
    Add patch to fix an installed-test failure
  * Update Lintian overrides
  * Standards-Version: 4.6.1 (no changes required)
  * d/p/dataset-Do-not-increment.patch,
    d/p/glib-tests-dataset-Add-a-test.patch,
    d/p/In-test_datalist_id_remove_multiple-verify-that-the-data-.patch,
    d/p/gdataset-Preserve-destruction-order.patch,
    d/p/glib-tests-dataset-Test-id_remove_multiple.patch,
    d/p/dataset-Rename-i-as-destroy_index-and-move-it-out-of-dest.patch,
    d/p/glib-tests-dataset-Use-existing-code.patch:
    Add patches to preserve order of GDataList destructors.
    This avoids a crash in GTK.
  * d/p/Revert-gobject-Use-g_datalist_id_remove_multiple.patch:
    Add patch to revert optimizations that trigger a gnome-shell crash

 -- Simon McVittie <smcv@debian.org>  Sun, 26 Jun 2022 12:06:36 +0100

glib2.0 (2.72.2-2) unstable; urgency=medium

  * Update testfilemonitor-Skip-if-we-are-avoiding-flaky-tests.patch
    for new testfilemonitor test. Thanks to Philip Withnall

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Jun 2022 12:21:57 -0400

glib2.0 (2.72.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

