=== debian/tests/control ===
Tests: build build-static
Depends: libglib2.0-dev, build-essential
Restrictions: allow-stderr superficial

Tests: installed-tests
Depends: dbus (>= 1.8), dbus-x11, gnome-desktop-testing, libglib2.0-tests, locales | locales-all, xauth, xvfb
Restrictions: allow-stderr

Tests: flaky
Depends: dbus (>= 1.8), dbus-x11, gnome-desktop-testing, libglib2.0-tests, locales | locales-all, xauth, xvfb
Restrictions: allow-stderr flaky
