=== debian/tests/control ===
--- 
+++ 
@@ -6,6 +6,6 @@
 Depends: dbus (>= 1.8), dbus-x11, gnome-desktop-testing, libglib2.0-tests, locales | locales-all, xauth, xvfb
 Restrictions: allow-stderr
 
-Tests: flaky
+Tests: closure-refcount debugcontroller gdbus-server-auth gdbus-threading gmenumodel mainloop memory-monitor-dbus socket testfilemonitor threadtests timeout timer
 Depends: dbus (>= 1.8), dbus-x11, gnome-desktop-testing, libglib2.0-tests, locales | locales-all, xauth, xvfb
 Restrictions: allow-stderr flaky
