## glib2.0 2.74.3

=== debian/changelog ===
glib2.0 (2.74.3-0ubuntu1.2) kinetic-security; urgency=medium

  * SECURITY UPDATE: multiple GVariant security issues
    - debian/patches/gvariant-security-*.patch: backported upstream fixes
      for GVariant normalization issues.
    - CVE-2023-24593, CVE-2023-29499, CVE-2023-25180, CVE-2023-32611,
      CVE-2023-32636, CVE-2023-32643, CVE-2023-32665

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 08 Jun 2023 10:08:55 -0400

glib2.0 (2.74.3-0ubuntu1) kinetic; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (LP: #1999098)

  [ Simon McVittie ]
  * d/patches: Drop patches that were applied upstream
  * d/rules, d/watch, d/copyright: Bundle source for Unicode files

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Dec 2022 20:17:41 -0500
