=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Simon McVittie <smcv@debian.org>
-Build-Depends: dbus-daemon <!nocheck> <!noinsttest>,
+Build-Depends: dbus <!nocheck> <!noinsttest>,
                debhelper-compat (= 13),
                dh-sequence-python3,
                dh-sequence-gnome,
@@ -49,7 +50,7 @@
          ${shlibs:Depends}
 Recommends: libglib2.0-data,
             shared-mime-info,
-            xdg-user-dirs,
+            xdg-user-dirs
 Breaks: gimp (<< 2.10.14-3~),
         glib-networking-tests (<< 2.70.0~),
         gnome-keyring (<< 40.0-3~),
@@ -57,7 +58,6 @@
         libgirepository-1.0-1 (<< 1.62.0-4~),
         libgladeui-2-6 (<< 3.22.2),
         libsoup2.4-tests (<< 2.72.0-3~),
-Suggests: low-memory-monitor
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Description: GLib library of C routines
