## glib2.0 2.74.6

=== debian/changelog ===
glib2.0 (2.74.6-2) unstable; urgency=medium

  * d/patches: Update to upstream 2.74.x branch commit
    2.74.6-12-ga1e169129, omitting Windows-specific changes
    - Fix GDBus server interop with sd-bus clients (GNOME/glib#2916)
    - Fix use-after-free of a GDBusMethodInvocation in some threaded
      use patterns (GNOME/glib#2924)
    - Fix a test failure resulting in FTBFS in some container environments
      if gdb happens to be installed, but access to ptrace and
      /proc/PID/mem is disallowed (GNOME/glib#3307)

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Apr 2023 09:55:32 +0100

glib2.0 (2.74.6-1) unstable; urgency=medium

  * New upstream stable release
    - !3239 Backport !3237 “Fix safe_wspawnve #define” to glib-2-74
    - Translation updates

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 02 Mar 2023 15:53:53 -0500

glib2.0 (2.74.5-1) unstable; urgency=medium

  * New upstream stable release
  * Drop patch that was applied upstream
  * Remove version constraints unnecessary since buster (oldstable)
  * Update standards version to 4.6.2 (no changes needed)
  * d/rules: Explicitly unset LANG and LANGUAGE.
    These are not overridden by LC_ALL=C.UTF-8, which can cause a
    test failure at glib/tests/spawn-test.c:115, particularly on the
    reproducible-builds infrastructure (which uses a random non-English
    LANGUAGE for build2).

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Jan 2023 16:48:31 +0000

glib2.0 (2.74.4-1) unstable; urgency=high

  * New upstream release
  * Drop patches applied in new release
  * Cherry-pick patch from 2-74 branch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Dec 2022 14:42:10 -0900

glib2.0 (2.74.3-1) unstable; urgency=high

  [ Simon McVittie ]
  * New upstream stable release, functionally equivalent to 2.74.2-1
  * d/p/gstrfuncs-Fix-regression-in-C-types-accepted-by-g_str_equ.patch:
    Drop patch, included in the upstream release

  [ Jeremy Bicha ]
  * d/patches: Update to upstream 2.74.x branch commit e16fb837
    including multiple security related fixes for non-normal GVariants

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Dec 2022 15:23:22 -0500
