=== debian/control ===
--- 
+++ 
@@ -5,29 +5,27 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Simon McVittie <smcv@debian.org>
-Build-Depends: dbus <!nocheck> <!noinsttest>,
+Build-Depends: dbus-daemon <!nocheck> <!noinsttest>,
                debhelper-compat (= 13),
                dh-sequence-python3,
                dh-sequence-gnome,
                docbook-xml,
                docbook-xsl,
-               dpkg-dev (>= 1.17.14),
                gettext,
-               libdbus-1-dev (>= 1.2.14) <!nocheck> <!noinsttest>,
-               libelf-dev (>= 0.142),
+               libdbus-1-dev <!nocheck> <!noinsttest>,
+               libelf-dev,
                libffi-dev (>= 3.3),
                libmount-dev (>= 2.35.2-7~) [linux-any],
-               libpcre2-dev (>= 10.32),
+               libpcre2-dev,
                libselinux1-dev [linux-any],
                libxml2-utils,
                linux-libc-dev [linux-any],
                meson (>= 0.60.0),
-               pkg-config (>= 0.16.0),
+               pkg-config,
                python3-distutils,
-               python3:any (>= 2.7.5-5~),
+               python3:any,
                xsltproc,
                zlib1g-dev
 Build-Depends-Arch: desktop-file-utils <!nocheck>,
@@ -39,7 +37,7 @@
                     xterm <!nocheck>
 Build-Depends-Indep: gtk-doc-tools (>= 1.32.1),
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://wiki.gnome.org/Projects/GLib
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib
 Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
@@ -50,7 +48,7 @@
          ${shlibs:Depends}
 Recommends: libglib2.0-data,
             shared-mime-info,
-            xdg-user-dirs
+            xdg-user-dirs,
 Breaks: gimp (<< 2.10.14-3~),
         glib-networking-tests (<< 2.70.0~),
         gnome-keyring (<< 40.0-3~),
@@ -58,6 +56,7 @@
         libgirepository-1.0-1 (<< 1.62.0-4~),
         libgladeui-2-6 (<< 3.22.2),
         libsoup2.4-tests (<< 2.72.0-3~),
+Suggests: low-memory-monitor
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Description: GLib library of C routines
@@ -132,7 +131,7 @@
          libglib2.0-bin (= ${binary:Version}),
          libglib2.0-dev-bin (= ${binary:Version}),
          libmount-dev (>= 2.35.2-7~) [linux-any],
-         libpcre2-dev (>= 10.32),
+         libpcre2-dev,
          libselinux1-dev [linux-any],
          pkg-config,
          zlib1g-dev,
@@ -162,12 +161,8 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Suggests: libgdk-pixbuf2.0-bin (>= 2.36.12-2~),
+Suggests: libgdk-pixbuf2.0-bin,
           libxml2-utils
-Breaks: libglib2.0-bin (<< 2.54.2-5~),
-        libglib2.0-dev (<< 2.53)
-Replaces: libglib2.0-bin (<< 2.54.2-5~),
-          libglib2.0-dev (<< 2.53)
 Multi-Arch: foreign
 Description: Development utilities for the GLib library
  GLib is a library containing many useful C routines for things such
