=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,19 @@
 else
 have_non_stub_xattr = true
 endif
+
+# This target can be run manually to verify that we have the source code
+# for these files. If all goes well, it should result in no diff.
+# This is not done automatically during the build, because it requires a
+# git checkout of GLib.
+maintainer-update-unicode-data:
+	rm -f glib/gscripttable.h
+	rm -f glib/gunibreak.h
+	rm -f glib/gunichartables.h
+	rm -f glib/gunidecomp.h
+	rm -f glib/tests/casefold.txt
+	rm -f glib/tests/casemap.txt
+	$(CURDIR)/tools/update-unicode-data.sh $(CURDIR)/unicode-data 15.0.0
 
 override_dh_auto_configure:
 	dh_auto_configure \
@@ -105,8 +118,13 @@
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Remove LD_PRELOAD so we don't run with fakeroot, which makes dbus-related tests fail
+	# Remove LANGUAGE to avoid mismatches between expected and actual
+	# messages in non-English locales (mainly on reproducible-builds)
 	# First run the non-flaky tests, and fail the build if they fail (on linux)
-	env -u LD_PRELOAD \
+	env \
+		-u LANG \
+		-u LANGUAGE \
+		-u LD_PRELOAD \
 		DEB_BUILD_TIME_TESTS=1 \
 		LC_ALL=C.UTF-8 \
 		MESON_TESTTHREADS=1 \
@@ -150,7 +168,10 @@
 		--verbose \
 	|| $(handle_test_failure)
 	# and then run the flaky ones, but ignore them failing
-	env -u LD_PRELOAD \
+	env \
+		-u LANG \
+		-u LANGUAGE \
+		-u LD_PRELOAD \
 		DEB_BUILD_TIME_TESTS=1 \
 		LC_ALL=C.UTF-8 \
 		MESON_TESTTHREADS=1 \
@@ -238,21 +259,3 @@
 	# dh_python3 can't process both a private directory and /usr/bin
 	# in the same invocation
 	dh_python3 -plibglib2.0-dev-bin /usr/share/glib-2.0/codegen
-	dh_python3 -plibglib2.0-tests --no-ext-rename /usr/libexec/installed-tests/glib
-	dh_python3
-
-override_dh_install:
-	# Unwanted bits from the .deb build
-	rm -fr debian/install/deb/usr/share/glib-2.0/codegen/__pycache__
-ifneq ($(filter %-udeb,$(binaries)),)
-	# Unwanted bits from the .udeb build
-	rm -f debian/install/udeb/usr/lib/*/*.so
-	rm -fr debian/install/udeb/usr/libexec/gio-launch-desktop
-	rm -fr debian/install/udeb/usr/share/gdb
-	rm -fr debian/install/udeb/usr/share/gettext/its
-	rm -fr debian/install/udeb/usr/share/glib-2.0/codegen
-	rm -fr debian/install/udeb/usr/share/glib-2.0/gdb
-	rm -fr debian/install/udeb/usr/share/glib-2.0/valgrind
-	rm -fr debian/install/udeb/usr/share/man
-	dh_install -plibglib2.0-udeb --sourcedir=debian/install/udeb
-endif
