## glib2.0 2.76.1

=== debian/changelog ===
glib2.0 (2.76.1-1) experimental; urgency=medium

  * New upstream release
    - Downgrade critical warnings from `GFileInfo` about missing attributes to
      debug messages. The downgrade will be reverted for 2.77.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 26 Mar 2023 15:38:16 -0400

glib2.0 (2.76.0-1) experimental; urgency=medium

  * New upstream release
  * Drop patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Mar 2023 12:35:36 -0500

glib2.0 (2.75.4-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop 3 patches applied in new release
  * Cherry-pick several patches that will be included in 2.76.0

  [ Simon McVittie ]
  * Add patch to try x-terminal-emulator for Terminal=true apps
    (Closes: #773915)
  * README.Debian: Add notes on how to choose how Terminal=true apps launch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Mar 2023 10:51:15 -0500

glib2.0 (2.75.3-3) experimental; urgency=medium

  * Cherry-pick build test fix for glibc 2.37

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 25 Feb 2023 09:22:04 -0500

glib2.0 (2.75.3-2) experimental; urgency=medium

  [ Simon McVittie ]
  * d/p/array-test-Don-t-rely-on-endianness-of-multi-byte-numbers.patch:
    Add proposed patch to fix FTBFS on big-endian architectures
    (Closes: #1031271)

  [ Jeremy Bicha ]
  * Cherry-pick an implicit conversion change fix

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Feb 2023 17:58:48 -0500

glib2.0 (2.75.3-1) experimental; urgency=medium

  * New upstream release
    - Resolves a crash when creating threads in a process with elevated
      priority, such as wireplumber (Closes: #1031129)
  * d/copyright: Update
  * Drop patches that were applied upstream
  * d/libglib2.0-0.symbols: Update.
    Two private symbols that were not intended to appear in the ABI were
    removed. Other Debian packages don't seem to use either.
  * d/patches: Update all patches that skip tests to ensure all tests
    produce valid TAP syntax

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Feb 2023 20:49:33 +0000

glib2.0 (2.75.2-1) experimental; urgency=medium

  * New upstream release
  * d/copyright: Update
  * Refresh patch series
  * d/libglib2.0-0.symbols: Sort lines
  * d/libglib2.0-0.symbols: Update for new ABI
  * d/libglib2.0-0.symbols: Use stable-branch versions for older symbols.
    We don't need to keep track of precisely which development release
    included each symbol: it's enough to generate dependencies on the first
    stable release that had it. Debian stable releases shouldn't include
    GLib development releases anyway.
  * d/p/Include-GObject-s-visibility-header.patch,
    d/p/build-Don-t-overwrite-build-variables.patch,
    d/p/glib-compile-schemas-Fix-typo-in-comparison-function.patch:
    Add some post-release bug fixes from upstream
  * d/p/tests-Improve-error-message-if-setting-max-processes-to-1.patch,
    d/p/debian/06_thread_test_ignore_prctl_fail.patch:
    Split up patch that skipped a test if unable to set RLIMIT_NPROC.
    The part that improves the error message could be upstreamable, even if
    skipping the test as a result isn't.
  * d/p/debian/06_thread_test_ignore_prctl_fail.patch:
    Try dropping this patch, to reassess whether we still need it.
  * d/p/garray-Update-NULL-termination-after-copying-array-conten.patch,
    d/p/garray-Avoid-calling-memcpy-with-no-items.patch:
    Add proposed patches to fix a test failure

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Jan 2023 13:54:58 +0000

glib2.0 (2.75.0-1) experimental; urgency=medium

  * d/control.in, d/gbp.conf: Branch for experimental
  * New upstream development release
  * Refresh patch series, dropping patches that were applied upstream
  * Update symbols file
  * d/p/gio-Use-hidden-symbol-visibility-in-static-libraries.patch:
    Add proposed patch to fix ABI exports
  * d/p/type-flags-test-Force-G_ENABLE_DIAGNOSTIC-1-to-be-set.patch:
    Add proposed patch to fix an autopkgtest failure

 -- Simon McVittie <smcv@debian.org>  Sat, 12 Nov 2022 21:13:58 +0000
