=== debian/control ===
--- 
+++ 
@@ -13,19 +13,20 @@
                dh-sequence-gnome,
                docbook-xml,
                docbook-xsl,
+               dpkg-dev (>= 1.17.14),
                gettext,
-               libdbus-1-dev <!nocheck> <!noinsttest>,
-               libelf-dev,
+               libdbus-1-dev (>= 1.2.14) <!nocheck> <!noinsttest>,
+               libelf-dev (>= 0.142),
                libffi-dev (>= 3.3),
                libmount-dev (>= 2.35.2-7~) [linux-any],
-               libpcre2-dev,
+               libpcre2-dev (>= 10.32),
                libselinux1-dev [linux-any],
                libxml2-utils,
                linux-libc-dev [linux-any],
                meson (>= 0.60.0),
-               pkg-config,
+               pkg-config (>= 0.16.0),
                python3-distutils,
-               python3:any,
+               python3:any (>= 2.7.5-5~),
                xsltproc,
                zlib1g-dev
 Build-Depends-Arch: desktop-file-utils <!nocheck>,
@@ -37,10 +38,10 @@
                     xterm <!nocheck>
 Build-Depends-Indep: gtk-doc-tools (>= 1.32.1),
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://wiki.gnome.org/Projects/GLib
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib
-Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
+Vcs-Git: https://salsa.debian.org/gnome-team/glib.git -b debian/experimental
 
 Package: libglib2.0-0
 Architecture: any
@@ -131,7 +132,7 @@
          libglib2.0-bin (= ${binary:Version}),
          libglib2.0-dev-bin (= ${binary:Version}),
          libmount-dev (>= 2.35.2-7~) [linux-any],
-         libpcre2-dev,
+         libpcre2-dev (>= 10.32),
          libselinux1-dev [linux-any],
          pkg-config,
          zlib1g-dev,
@@ -161,8 +162,12 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Suggests: libgdk-pixbuf2.0-bin,
+Suggests: libgdk-pixbuf2.0-bin (>= 2.36.12-2~),
           libxml2-utils
+Breaks: libglib2.0-bin (<< 2.54.2-5~),
+        libglib2.0-dev (<< 2.53)
+Replaces: libglib2.0-bin (<< 2.54.2-5~),
+          libglib2.0-dev (<< 2.53)
 Multi-Arch: foreign
 Description: Development utilities for the GLib library
  GLib is a library containing many useful C routines for things such
